// pages/welfareMall/staff/judgeStaff.js
import WelfareMall from '../../../api/welfareMall'
import { parseTime } from '../../../utils/util'
import {getMobileCache, getPhoneNumber as getPhoneNumberSync} from '../../../utils/user'
Page({

  /**
   * 页面的初始数据
   */
  data: {
    isLogin: false,
    staffShow: '',
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
   wx.hideShareMenu();
   this.setData({
    isLogin: getMobileCache() != ''
   })
   if(this.data.isLogin){
     let shopowner = options.shopowner;
     this.setData({
      staffShow: shopowner,
     })
   } else {
      wx.switchTab({
        url:"/pages/welfareMall/personal/personal",
      })
   }
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },
  handlePageSizes(e) {
    this.setData({
      bodyImageHeight: e.detail.bodyImageHeight
    })
  },
  toWriteOff(e) {
    const url = "../writeOff/writeOff"
    wx.navigateTo({
        url
    })
  },
  toStaff(e) {
    const url = "../staffManage/staffManage"
    wx.navigateTo({
        url
    })
  },

  toGoodsMM(){
    wx.navigateTo({
      url: '/pages/groupmeallist/goodsManagements/goodsManagements',
    })


  },
})